%define nspr_version 4.12
%define nss_version 3.11

%define major	  0
%define libname   %mklibname %{name} %{major}
%define devname   %mklibname %{name} -d

Summary:          Secure PIN handling using NSS crypto
Name:             svrcore
Version:          4.1.2
Release:          %mkrel 1
License:          MPLv1.1 or GPLv2+ or LGPLv2+
URL:              http://www.mozilla.org/projects/security/pki/
Group:            Security
Requires:         nspr >= %{nspr_version}
Requires:         nss >= %{nss_version}
BuildRequires:    nspr-devel >= %{nspr_version}
BuildRequires:    nss-devel >= %{nss_version}
BuildRequires:    pkgconfig

Source0:          ftp://ftp.mozilla.org/pub/mozilla.org/directory/svrcore/releases/%{version}/src/%{name}-%{version}.tar.bz2

%description
svrcore provides applications with several ways to handle secure PIN storage
e.g. in an application that must be restarted, but needs the PIN to unlock
the private key and other crypto material, without user intervention.  svrcore
uses the facilities provided by NSS.

%package -n %{libname}
Summary:	Secure PIN handling using NSS crypto
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name} < 4.0.4-5

%description -n %{libname}
svrcore provides applications with several ways to handle secure PIN storage
e.g. in an application that must be restarted, but needs the PIN to unlock
the private key and other crypto material, without user intervention.  svrcore
uses the facilities provided by NSS.

%package -n %{devname}
Summary: 	Development files for secure PIN handling using NSS crypto
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 4.0.4-5

%description -n %{devname}
svrcore provides applications with several ways to handle secure PIN storage
e.g. in an application that must be restarted, but needs the PIN to unlock
the private key and other crypto material, without user intervention.  svrcore
uses the facilities provided by NSS.

This package contains header files and symlinks to develop programs which will
use the libsvrcore library.  You should install this package if you need to
develop programs which will use the svrcore library.

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/libsvrcore.{a,la}

%files -n %{libname}
%doc LICENSE README NEWS
%{_libdir}/libsvrcore.so.%{major}
%{_libdir}/libsvrcore.so.%{major}.*

%files -n %{devname}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libsvrcore.so
%{_includedir}/svrcore.h


%changelog
* Mon May 30 2016 spuhler <spuhler> 4.1.2-1.mga6
+ Revision: 1019473
- updated required nspr_version
- upgrade to vers. 4.1.2
  * 389-ds-base-1.3.5.4 reqires it
    ( e-mail of William Brown <wibrown@redhat.com>)

* Fri Feb 05 2016 umeabot <umeabot> 4.0.4-8.mga6
+ Revision: 938698
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.4-7.mga5
+ Revision: 745427
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.4-6.mga5
+ Revision: 689633
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 wally <wally> 4.0.4-5.mga5
+ Revision: 662516
- add provides

* Wed Aug 13 2014 wally <wally> 4.0.4-4.mga5
+ Revision: 662352
- fix libification
- use %%configure2_5x and %%makeinstall_std macros
- drop unneeded %%post/%%postun scripts
- drop unneeded requires

* Fri Oct 18 2013 umeabot <umeabot> 4.0.4-4.mga4
+ Revision: 519472
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.0.4-3.mga3
+ Revision: 383834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 malo <malo> 4.0.4-2.mga3
+ Revision: 308977
- update RPM group

* Sun Jul 15 2012 spuhler <spuhler> 4.0.4-1.mga3
+ Revision: 271119
- corrected group in devel section
- imported package svrcore

